package com.jasamedika.medifirst2000.vo;

import java.util.Date;

import com.jasamedika.medifirst2000.base.vo.BaseTransactionVO;
import com.jasamedika.medifirst2000.helper.Caption;

public class LogbookKinerjaDetailVO extends BaseTransactionVO {

	@Caption(value = "Nama Kegiatan")
	private String namaKegiatan;

	@Caption(value = "Capaian")
	private Double capaian;

	@Caption(value = "Catatan")
	private String catatan;

	@Caption(value = "Tanggal Kegiatan")
	private Date tanggalKegiatan;

	@Caption(value = "Status Verifikasi")
	private Boolean statusVerifikasi;

	@Caption(value = "Logbook Kinerja")
	private LogbookKinerjaVO logbookKinerja;

	private String logbookKinerjaId;

	public String getNamaKegiatan() {
		return namaKegiatan;
	}

	public void setNamaKegiatan(String namaKegiatan) {
		this.namaKegiatan = namaKegiatan;
	}

	public Double getCapaian() {
		return capaian;
	}

	public void setCapaian(Double capaian) {
		this.capaian = capaian;
	}

	public String getCatatan() {
		return catatan;
	}

	public void setCatatan(String catatan) {
		this.catatan = catatan;
	}

	public Date getTanggalKegiatan() {
		return tanggalKegiatan;
	}

	public void setTanggalKegiatan(Date tanggalKegiatan) {
		this.tanggalKegiatan = tanggalKegiatan;
	}

	public Boolean getStatusVerifikasi() {
		return statusVerifikasi;
	}

	public void setStatusVerifikasi(Boolean statusVerifikasi) {
		this.statusVerifikasi = statusVerifikasi;
	}

	public LogbookKinerjaVO getLogbookKinerja() {
		return logbookKinerja;
	}

	public void setLogbookKinerja(LogbookKinerjaVO logbookKinerja) {
		this.logbookKinerja = logbookKinerja;
	}

	public String getLogbookKinerjaId() {
		return logbookKinerjaId;
	}

	public void setLogbookKinerjaId(String logbookKinerjaId) {
		this.logbookKinerjaId = logbookKinerjaId;
	}

}
